Subject: Re: [icnrg] ICNRG Last Call on CCNx Drafts

From: "Mayutan A." <[email-masked]>
Date: Wed, 5 Jul 2017 10:36:31 +0200

+1 from our team from Goettingen too. Our team regularly uses them.

On Tue, Jun 27, 2017 at 2:23 PM, David Oran <[email-masked]> wrote:

> The chairs are declaring an ICNRG last call on the two CCNx protocol
> documents:
>
> https://datatracker.ietf.org/doc/draft-irtf-icnrg-ccnxmessages/
> https://datatracker.ietf.org/doc/draft-irtf-icnrg-ccnxsemantics/
>
> Please indicate your support or non-support, along with comments and
> justifications, in the next two weeks.
> The last call will close on July 11 in order to assess the results before
> the ICNRG interim meeting on Sunday  July 16 in Prague.
> We will have a discussion if needed as part of the Sunday agenda.
>
> If the results of the last call are positive, we will progress the
> documents to IRTF last call.
>
> Please give these documents your attention. They have been worked on for
> quite a while and need to be moved forward if feasible.
>
> Thanks,
>
> Dave, Dirk, & Börje.
>
> _______________________________________________
> icnrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/icnrg
>

---

From: Hitoshi Asaeda <[email-masked]>
Date: Wed, 5 Jul 2017 18:29:46 +0900

Hi,

I support both documents to be RFCs, but I have one minor comment about the definition of the Recommended Cache Time (RCT).

The definition of RCT described in section 3.4.2 of the ccnxmessages document is;
"It serves as a guideline to the Content Store cache in determining how long to keep the Content Object. It is a recommendation only and may be ignored by the cache."

However, section 4 of the ccnxsemantics document says,
"A cache SHOULD discard it after the RCT, though it MAY keep it and still respond with it. A cache is MAY discard the content object before the RCT time too"

If RCT is a recommendation only, above SHOULD is a bit too strong.
If still have a chance to update the drafts, the tone of RTC's definition should be synchronized between them.

Regards,
--
Hitoshi Asaeda

> 2017/06/27 21:23, David Oran <[email-masked]> wrote:
> 
> The chairs are declaring an ICNRG last call on the two CCNx protocol documents:
> 
> Please indicate your support or non-support, along with comments and justifications, in the next two weeks.
> The last call will close on July 11 in order to assess the results before the ICNRG interim meeting on Sunday  July 16 in Prague.
> If the results of the last call are positive, we will progress the documents to IRTF last call.
> 
> Please give these documents your attention. They have been worked on for quite a while and need to be moved forward if feasible.
> 
> Thanks,
> 
> Dave, Dirk, & Börje.
>

---

From: Luca Muscariello <[email-masked]>
Date: Wed, 5 Jul 2017 11:47:11 +0200

The usage of these terms is formalised in RFC 2119

https://www.ietf.org/rfc/rfc2119.txt

SHOULD is correct for recommandations and it seems to me
that the wording is coherent in this case.

You can read MAY as "optional" so, the cache can optionally keep
the content object or can optionally discard it.

Best regards
Luca

On Wed, Jul 5, 2017 at 11:29 AM, Hitoshi Asaeda <[email-masked]> wrote:

> Hi,
>
> I support both documents to be RFCs, but I have one minor comment about
> the definition of the Recommended Cache Time (RCT).
>
> "It serves as a guideline to the Content Store cache in determining how
> long to keep the Content Object. It is a recommendation only and may be
> ignored by the cache."
>
> "A cache SHOULD discard it after the RCT, though it MAY keep it and still
> respond with it. A cache is MAY discard the content object before the RCT
> time too"
>
> > The last call will close on July 11 in order to assess the results
> before the ICNRG interim meeting on Sunday  July 16 in Prague.

---

From: Cedric Westphal <[email-masked]>
Date: Wed, 5 Jul 2017 17:31:20 +0000

+1

-----Original Message-----
From: icnrg [mailto:[email-masked]] On Behalf Of Christopher Wood
Sent: Tuesday, June 27, 2017 9:46 AM
To: David Oran
Cc: icnrg
Subject: Re: [icnrg] ICNRG Last Call on CCNx Drafts

Naturally, I support these two documents. They are mature and have
been implemented by several different parties. They are ready to go.

Best,
Chris